Loading...
Searching...
No Matches
Fifo Class Referenceabstract

Abstract base type for Fifo implementations. More...

`#include <fifo.h>`

Inheritance diagram for Fifo:
Collaboration diagram for Fifo:

## Public Types

enum | Status { OK , FULL , EMPTY }

## Public Member Functions

virtual Status | Write (uint16_t *buf, size_t len)=0
virtual Status | Read (uint16_t *buf, size_t len)=0
virtual size_t | HowFull ()=0
virtual size_t | HowEmpty ()=0
virtual void | Flush ()=0

## Detailed Description

Abstract base type for Fifo implementations.

## Member Function Documentation

## HowEmpty()

virtual size_t Fifo::HowEmpty | ( |  | ) |

pure virtual

Implemented in V4PCIDspFifo.

## HowFull()

virtual size_t Fifo::HowFull | ( |  | ) |

pure virtual

Implemented in V4PCIDspFifo.

## Read()

virtual Status Fifo::Read | ( | uint16_t * | buf,
|  | size_t | len )

pure virtual

Implemented in V4PCIDspFifo.

## Write()

virtual Status Fifo::Write | ( | uint16_t * | buf,
|  | size_t | len )

pure virtual

Implemented in V4PCIDspFifo.